var EventosLogs = {
    url_get_logs: "/cgi-cpn/prontus_admin_get_log.cgi",

    init: function() {
        $('a.mostrar_logs').click(function () {
            $('#modal_logs div.modal-body pre').load($(this).attr('href'));
            $('#modal_logs').modal();
            return false;
        });

        $("#logs-datepicker").datetimepicker({
            format: 'YYYY-MM-DD',
            locale: 'es'
        }).data('DateTimePicker')
        .enabledDates(fechas_con_log);

        $('#logs-datepicker').on("dp.change", function(e) {
            if (!e.oldDate) { // no ejecutamos el evento al hacer click por primera vez.
                return false;
            }
            $.getJSON(EventosLogs.url_get_logs+'?_prontus_id='+Admin.prontus_id+'&fecha='+this.value, function(data) {
                $('pre#texto-log').html(data.msg);
            });
        });
    }
};

$(document).ready(function () {
    EventosLogs.init();
});
